### Function

# Secret password_storev_binary_sync

#### Declaration [src]

    gboolean
    secret_password_storev_binary_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      const gchar* collection,
      const gchar* label,
      SecretValue* value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Store a password in the secret service.

This is similar to `secret_password_storev_sync()`, but takes a `SecretValue` as the argument instead of a null-terminated passwords.

This method may block indefinitely and should not be used in user interface threads.

Available since: | 0.19.0
This function is renamed to `secret_password_store_binary_sync()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`collection` | `const gchar*`
| A collection alias, or D-Bus object path of the collection where to store the secret.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`label` | `const gchar*`
| Label for the secret.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `SecretValue`
| A `SecretValue`
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the storage was successful or not.